%-------------------------------------------------------------%
function [status,destination] = fileMover(caseName,probeName,timeDir, ...
    fileNameIn,fileNameOut,directoryOut)
%
%---- 
%
%-------------------------------------------------------------%

source = convertStringsToChars( ...
    join([caseName,'/',probeName,'/',timeDir,'/',fileNameIn],"") );

destination = convertStringsToChars( ...
    join([directoryOut,fileNameOut,'.dat'],"") );

status = copyfile(source,destination); 
if status==0
    fprintf('Error copying and moving file from "%s"\n',source)
end


