clear all
close all
clc

%~~~~~~~ CURVE ~~~~~~~~~~%
coorProbesCurve = xlsread('probesCurve.xlsx');

xOr1 = coorProbesCurve(:,1);
yOr1 = coorProbesCurve(:,2);
zOr1 = coorProbesCurve(:,3);
%~~~~~~~~~~~~~~~~~~~~~~~~%

%~~~~~~~ CURVE_FINE ~~~~~~~~~~%
coorProbesCurveFine = xlsread('probesCurveFine.xlsx');

xOr2 = coorProbesCurveFine(:,1);
yOr2 = coorProbesCurveFine(:,2);
zOr2 = coorProbesCurveFine(:,3);
%~~~~~~~~~~~~~~~~~~~~~~~~%

%~~~~~~~ VERTICAL 1D ~~~~~~~~~~%
coorProbesVer1D = xlsread('probesVer1D.xlsx');

xOr3 = coorProbesVer1D(:,1);
yOr3 = coorProbesVer1D(:,2);
zOr3 = coorProbesVer1D(:,3);
%~~~~~~~~~~~~~~~~~~~~~~~~%

%~~~~~~~ VERTICAL 3D ~~~~~~~~~~%
coorProbesVer3D = xlsread('probesVer3D.xlsx');

xOr4 = coorProbesVer3D(:,1);
yOr4 = coorProbesVer3D(:,2);
zOr4 = coorProbesVer3D(:,3);
%~~~~~~~~~~~~~~~~~~~~~~~~%

fid1 = fopen('curve.txt','w');
for i = 1:length(xOr1)
    fprintf(fid1,'( %3.8f %3.8f %3.8f )\n',xOr1(i),yOr1(i),zOr1(i));
end
fclose(fid1);

fid2 = fopen('curveFine.txt','w');
for i = 1:length(xOr2)
    fprintf(fid2,'( %3.8f %3.8f %3.8f )\n',xOr2(i),yOr2(i),zOr2(i));
end
fclose(fid2);

fid3 = fopen('ver1D.txt','w');
for i = 1:length(xOr3)
    fprintf(fid3,'( %3.8f %3.8f %3.8f )\n',xOr3(i),yOr3(i),zOr3(i));
end
fclose(fid3);

fid4 = fopen('ver3D.txt','w');
for i = 1:length(xOr4)
    fprintf(fid4,'( %3.8f %3.8f %3.8f )\n',xOr4(i),yOr4(i),zOr4(i));
end
fclose(fid4);

